Subject: bug#13903: closed (Re: bug#13903: Compile error)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Mar 2013 10:58:02 +0000

Your bug report

#13903: Compile error

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13903: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13903
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13903: Compile error
From: Andy Wingo <[email-masked]>
To: wang <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Mar 2013 11:57:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for the report.

On Fri 08 Mar 2013 09:14, wang <[email-masked]> writes:

> When compile guile 2.0.7, I got such error:
> make[3]: Entering directory `/home/wangwangwar/desktop/guile-2.0.7/libguile'
>   CC       libguile_2.0_la-fports.lo
>
> fports.c: In function 'fport_input_waiting':
> fports.c:613:10: error: variable 'pollfd' has initializer but incomplete
> type
> fports.c:613:10: warning: excess elements in struct initializer [enabled
> by default]

Ah, it seems that configure detected the presence of poll but not
poll.h.  I fixed the check.  Are you missing some development packages,
perchance?

Andy
-- 
http://wingolog.org/

Subject: Compile error
From: wang <[email-masked]>
To: [email-masked]
Date: Fri, 08 Mar 2013 16:14:16 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When compile guile 2.0.7, I got such error:
make[3]: Entering directory `/home/wangwangwar/desktop/guile-2.0.7/libguile'
   CC       libguile_2.0_la-fports.lo

fports.c: In function 'fport_input_waiting':
fports.c:613:10: error: variable 'pollfd' has initializer but incomplete 
type
fports.c:613:10: warning: excess elements in struct initializer [enabled 
by default]
fports.c:613:10: warning: (near initialization for 'pollfd') [enabled by 
default]
fports.c:613:34: error: 'POLLIN' undeclared (first use in this function)
fports.c:613:34: note: each undeclared identifier is reported only once 
for each function it appears in
fports.c:613:10: warning: excess elements in struct initializer [enabled 
by default]
fports.c:613:10: warning: (near initialization for 'pollfd') [enabled by 
default]
fports.c:613:10: warning: excess elements in struct initializer [enabled 
by default]
fports.c:613:10: warning: (near initialization for 'pollfd') [enabled by 
default]
fports.c:613:17: error: storage size of 'pollfd' isn't known
fports.c:615:3: warning: implicit declaration of function 'poll' 
[-Wimplicit-function-declaration]
fports.c:613:17: warning: unused variable 'pollfd' [-Wunused-variable]
fports.c:654:1: warning: control reaches end of non-void function 
[-Wreturn-type]
make[3]: *** [libguile_2.0_la-fports.lo] Error 1

I search the web but can't get any helpful information.
My OS is 3.5.0-21-generic #32-Ubuntu.